Package org.eclipse.birt.report.engine.extension

# Interface IDataExtractionExtension

public interface IDataExtractionExtension
An extension-point for data extraction. It's recommended to extend DataExtractionExtensionBase intead of implement directly.

## Method Summary

Modifier and Type
Method
Description
`void`
`initialize(org.eclipse.birt.report.engine.api.script.IReportContext context, IDataExtractionOption option)`
`void`
`output(IExtractionResults results)`
Outputs data defined in the result set.
`void`
`release()`
Releases all resources allocated in the extension.

## Method Details

### initialize

void initialize(org.eclipse.birt.report.engine.api.script.IReportContext context, IDataExtractionOption option) throws org.eclipse.birt.core.exception.BirtException

Throws:
  `org.eclipse.birt.core.exception.BirtException`

### output

void output(IExtractionResults results) throws org.eclipse.birt.core.exception.BirtException
Outputs data defined in the result set.

Parameters:
  `results` - the result set.
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### release

void release()
Releases all resources allocated in the extension.